package com.yxcheng.token.common.model;

import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;

@Getter
@Setter
public class SafeModel implements Serializable {
        private String accessKeyID;
        private String signature;
        private String signatureNonce;
        private String timeStamp;
        private String version;
        private String taxno;


        public void clearSafeData(){
            this.accessKeyID = null;
            this.signature = null;
            this.signatureNonce = null;
            this.timeStamp = null;
            this.version = null;
            this.taxno = null;
        }
}
