package com.tax.file.model;

import com.alibaba.fastjson.JSONArray;
import com.tax.file.context.FileDownContext;
import com.yxcheng.token.common.model.MqMessage;
import lombok.Data;

import java.util.Date;
import java.util.Map;

@Data
public class DownFileModel implements MqMessage {
    private TkTaxUser taxUser;
    private JSONArray invList;
    private Map<String, TkFile> tkFileMap;

    //上期时间
    private Date preDateStart;
    private Date preDateEnd;

    private FileDownContext context;

    private boolean isFinish = true;
}
