package com.tax.file.integration.user;

import com.yxcheng.token.common.model.CrRpcResult;
import com.yxcheng.token.common.model.SafeModel;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.stereotype.Service;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;

import java.util.List;

@FeignClient(name="taxsys-user")
@Service
public interface UserClient {

    @RequestMapping(value ="/client/isSafe" , method = RequestMethod.POST, consumes = {"application/json;charset=UTF-8"})
    public CrRpcResult<String> isSafe(@RequestBody SafeModel model);

    @RequestMapping(value ="/client/queryUserList" , method = RequestMethod.POST, consumes = {"application/json;charset=UTF-8"})
    public List<String> queryUserList();
}
