package com.tax.file.service.impl;


import com.yxcheng.token.common.service.AbstractService;
import com.tax.file.mapper.FileUserMapper;
import com.tax.file.model.FileUser;
import com.tax.file.model.FileUserExample;
import com.tax.file.service.api.FileUserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.Transactional;


@Transactional
@Component
@ComponentScan(basePackages = {"com.tax.file.dao", "com.tax.file.integration"})
public class FileUserServiceImpl extends AbstractService<FileUserMapper,FileUserExample,FileUser> implements FileUserService {

}
