package com.tax.file.service.impl;


import com.tax.file.mapper.TkFileSegmentMapper;
import com.tax.file.model.TkFile;
import com.tax.file.model.TkFileSegment;
import com.tax.file.model.TkFileSegmentExample;
import com.tax.file.service.api.TkFileSegmentService;
import com.yxcheng.token.common.service.AbstractService;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;


@Transactional
@Component
@ComponentScan(basePackages = {"com.tax.file.dao", "com.tax.file.integration"})
public class TkFileSegmentServiceImpl extends AbstractService<TkFileSegmentMapper,TkFileSegmentExample,TkFileSegment> implements TkFileSegmentService {

    @Override
    public List<TkFileSegment> queryFileSegList(TkFile tkFile) {
        return baseMapper.queryFileSegList(tkFile);
    }
}
