package com.tax.file.mapper;

import java.util.List;

import org.springframework.stereotype.Repository;

import com.tax.file.model.FinCuspayDetail;
import com.tax.file.model.FinCuspayDetailExample;
import com.tax.file.model.FinInvoiceDetail;
import com.yxcheng.token.common.service.BaseMapper;

/**
 * FinCuspayDetailDAO继承基类
 */
public interface FinCuspayDetailMapper extends BaseMapper<FinCuspayDetailExample, FinCuspayDetail> {

	 /** 
     * 根据缴款书号码批量删除
     * @param list 
     */  
	int deletetForeachBuyPayNo(List<String> payNos);
	
	 /** 
     * 批量插入
     * @param list 
     */  
	int insertForeach(List<FinCuspayDetail> list);
}