package com.tax.file.mapper;

import java.util.List;

import org.springframework.stereotype.Repository;

import com.tax.file.model.FinCuspay;
import com.tax.file.model.FinCuspayExample;
import com.tax.file.model.FinInvoice;
import com.yxcheng.token.common.service.BaseMapper;

/**
 * FinCuspayDAO继承基类
 */
public interface FinCuspayMapper extends BaseMapper<FinCuspayExample, FinCuspay> {
	
	 /** 
     * 根据缴款书号码查询发票
     * @param vehicle 
     */  
	FinCuspay queryByPayNo(FinCuspay invoice);
	
	 /** 
     * 批量插入
     * @param list 
     */  
	int insertForeach(List<FinCuspay> list);
	
	/**
	* 批量更新
	*
	* @param tkFiles
	* @return
	*/
	int updateBatch(List<FinCuspay> list);
}