package com.tax.file.mapper;

import com.yxcheng.token.common.service.BaseMapper;

import java.util.List;

import com.tax.file.model.FinInvoice;
import com.tax.file.model.FinVehicle;
import com.tax.file.model.FinVehicleExample;
import com.tax.file.model.TkFile;

public interface FinVehicleMapper extends BaseMapper<FinVehicleExample,FinVehicle> {
	 /** 
     * 批量插入
     * @param list 
     */  
	int insertForeach(List<FinVehicle> list);
	/**
		* 批量更新
		*
		* @param tkFiles
		* @return
    */
	int updateBatch(List<FinVehicle> list);
	
	 /** 
     * 根据代码号码查询发票
     * @param vehicle 
     */  
	FinVehicle queryByInvkindAndInvnum(FinVehicle vehicle);
}