package com.tax.file.service.impl;


import com.tax.file.model.TkTaxUser;
import com.yxcheng.token.common.service.AbstractService;
import com.tax.file.mapper.LackDateFileMapper;
import com.tax.file.model.LackDateFile;
import com.tax.file.model.LackDateFileExample;
import com.tax.file.service.api.LackDateFileService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.Transactional;


@Transactional
@Component
@ComponentScan(basePackages = {"com.tax.file.dao", "com.tax.file.integration"})
public class LackDateFileServiceImpl extends AbstractService<LackDateFileMapper,LackDateFileExample,LackDateFile> implements LackDateFileService {

    @Override
    public String queryLastInvDate(TkTaxUser taxUser) {
        return this.baseMapper.queryLastInvDate(taxUser);
    }
}
