package com.tax.sign.integration.user;

import com.yxcheng.token.common.model.CrRpcResult;
import com.yxcheng.token.common.model.JsonResult;
import com.yxcheng.token.common.model.SafeModel;
import com.yxcheng.token.common.model.UserReq;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.stereotype.Service;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;

@FeignClient(name="taxsys-user")
@Service
public interface UserClient {

    @RequestMapping(value ="/client/isSafe" , method = RequestMethod.POST, consumes = {"application/json;charset=UTF-8"})
    public CrRpcResult<String> isSafe(@RequestBody SafeModel model);

    @RequestMapping(value ="/client/isAvailable" , method = RequestMethod.POST, consumes = {"application/json;charset=UTF-8"})
    public JsonResult<Object> isAvailable(@RequestBody UserReq model);
}
