package com.tax.token.model;

import com.yxcheng.token.common.model.MqMessage;
import com.yxcheng.token.common.model.SafeModel;
import com.yxcheng.token.common.model.TaxUserInfo;
import com.yxcheng.token.utils.StringUtil;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class CookieReq extends SafeModel implements MqMessage {

      private String zoneCode;
      private String userCode;
      private String userInfo;
      private String loginType;
      private String checkType;
      private String site;
      private String target;
      private TaxUserInfo userInfoJson;

      @Override
      public String toString() {
            return "CookieReq{" +
                    "taxno='" + getTaxno() + '\'' +
                    ", zoneCode='" + zoneCode + '\'' +
                    ", userCode='" + userCode + '\'' +
                    ", userInfo='" + userInfo + '\'' +
                    ", loginType='" + loginType + '\'' +
                    ", checkType='" + checkType + '\'' +
                    ", site='" + site + '\'' +
                    ", target='" + target + '\'' +
                    ", userInfoJson=" + userInfoJson +
                    '}';
      }

      public boolean checkParamNull() {
            boolean checkFlag = false;
            if(StringUtil.isEmpty(getTaxno()) || StringUtil.isEmpty(getZoneCode())) {
                checkFlag = true;
            }
            return checkFlag;
      }
}
