package com.tax.token.service.impl;

import com.tax.token.mapper.TkServerMapper;
import com.tax.token.model.TkServer;
import com.tax.token.model.TkServerExample;
import com.tax.token.service.api.TkServerService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

@Transactional
@Component
@ComponentScan(basePackages = {"com.tax.token.dao", "com.tax.token.integration"})
public class TkServerServiceImpl implements TkServerService {
    @Autowired
    private TkServerMapper tkServerMapper;


    @Override
    public List<TkServer> selectByExample(TkServerExample example) {
        return tkServerMapper.selectByExample(example);
    }
}
