package com.tax.token.web.controller;


import com.tax.token.service.api.TkZoneInfoService;
import com.yxcheng.token.common.model.JsonResult;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/zone")
@ComponentScan(basePackages = {"com.tax.token.service"})
public class ZoneController {

    @Autowired
    private TkZoneInfoService zoneInfoService;

    @RequestMapping(value ="/refresh" , method = RequestMethod.GET)
    public JsonResult<String> refresh(){
        return zoneInfoService.refresh();
    }
}
