package com.tax.user.service.impl;

import com.tax.user.mapper.SysRuleIpMapper;
import com.tax.user.model.SysRuleIp;
import com.tax.user.service.api.SysRuleIpService;
import com.yxcheng.token.common.model.RuleModel;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

@Transactional
@Component
public class SysRuleIpServiceImpl implements SysRuleIpService {
    @Autowired
    private SysRuleIpMapper sysRuleIpMapper;

    @Override
    public boolean checkIp(RuleModel model) {
        return sysRuleIpMapper.checkIp(model);
    }

    @Override
    public List<SysRuleIp> queryRuleIpList(String userName) {
        return sysRuleIpMapper.queryRuleIpList(userName);
    }
}
