package com.tax.user.service.impl;

import com.tax.user.mapper.SysRuleTaxnoMapper;
import com.tax.user.service.api.SysRuleTaxnoService;
import com.yxcheng.token.common.model.RuleModel;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.Transactional;

@Transactional
@Component
public class SysRuleTaxnoServiceImpl implements SysRuleTaxnoService {

    @Autowired
    private SysRuleTaxnoMapper sysRuleTaxnoMapper;

    @Override
    public boolean checkTaxno(RuleModel model) {
        return sysRuleTaxnoMapper.checkTaxno(model);
    }
}
