# 常量定义：
> 众所知周，一个系统的常量不会超过1W个，如果超过，需要拆分系统。
> 在第一条的前提下，我们定义常量长为1{module}{service}**，首位固定为1，用于区分系统。第二位为模块位，
   比如tax-sys含有sign,token等模块,意味着一个模块含有【0，999】个常量值。第三个位服位，比如用户模块
   含有用户服务，规则服务等，一个服务含有【0，99】个常量值。

# cloud结构
* **tax-service-center-registry** ##注册中心
* **tax-service-center-config**  ##配置中心
* **tax-service-center-gateway** ## 网关



# 项目结构
*  **tax-common**           ##通用模块            10*** 
*  **tax-mq**               ##通用模块-mq服务      101**
*  **tax-file-system**      ##文件系统服务      
*  **tax-elastic-job**      ##当当定时服务     
*  **tax-user**             ##用户模块            11***    http://localhost:10300/user
*  **tax-token**            ##token模块          12***     http://localhost:10300/token
*  **tax-sign**             ##签名模块            13***    http://localhost:10300/sign     提供签名，代理ip服务
*  **tax-file**             ##文件模块            14***    http://localhost:10300/files
*  **tax-zone**             ##地区模块            15***    http://localhost:10300/zone


# 开发流程
开发接口生成器：1.使用maven插件mybatis-generator生成bean,mapper.xml
              2.使用common模块下Gen类生成mapper,service,serviceImpl
# 部署流程

* 配置eurekaServer的hosts为 eurekahost 127.0.0.1
* 配置zookeeper的hosts为 taxsys-zookeeper 127.0.0.1
* 如果模块服务和eureka不在一个机器   配置模块服务host 为 eurekahost  {eurekaServer的IP}
* 启动顺序 
    1.tax-service-center-registry
    2.tax-service-center-config
    

#脚本部署账号
autodeploy / Autodeploy2018!

#脚本发布
./auto_deploy.sh [ startserver | stopserver | startclient | stopclient | startall | stopall | force | status ]
                 [ start [sign-startup token-startup user-startup scan-startup taxfile-startup zone-startup tax-service-center-gateway tax-websocket-startup] 
                 [ stop [sign-startup token-startup user-startup scan-startup taxfile-startup zone-startup tax-service-center-gateway tax-websocket-startup]]
                 [ update [sign-startup token-startup user-startup scan-startup taxfile-startup zone-startup tax-service-center-gateway tax-websocket-startup | clientall | serverall | registry | config ]
                 [ log [sign-startup token-startup user-startup scan-startup taxfile-startup zone-startup tax-service-center-gateway tax-websocket-startup]
                 
#添加模块脚本修改
在clientList中增加