package com.yxcheng.token.common.annotation;


import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

@Retention(RetentionPolicy.RUNTIME)
@Target({ ElementType.METHOD })
public @interface LogT {

    public static final String LOG_VIEW_FULL = "full";
    public static final String LOG_VIEW_PART = "part";

    String value() default LOG_VIEW_FULL;

}
