package com.tax.file.model;

import com.yxcheng.token.common.model.MqMessage;
import com.yxcheng.token.common.model.SafeModel;
import com.yxcheng.token.common.model.TaxUserInfo;
import lombok.Getter;
import lombok.Setter;

import java.util.ArrayList;
import java.util.List;

@Getter
@Setter
public class InvoiceFileTaxManageReq extends SafeModel implements MqMessage {
      private String taxno;
      private String zoneCode;
      private String secert;
      private String userType = "1";//用户类型 0-小号 1-正常
      private String userStatus = "1";//用户状态 0-无效 1-有效
      private TaxUserInfo userInfoJson;
      private List<InvoiceFileTaxManageFunctionReq> functionList = new ArrayList();

    @Override
    public String toString() {
        return "InvoiceFileTaxManageReq{" +
                "taxno='" + taxno + '\'' +
                ", zoneCode='" + zoneCode + '\'' +
                ", secert='" + secert + '\'' +
                ", userType='" + userType + '\'' +
                ", userStatus='" + userStatus + '\'' +
                ", functionList=" + functionList +
                '}';
    }
}
