package com.tax.file.model.fileManage;

import com.yxcheng.token.common.model.SafeModel;
import lombok.Data;
import lombok.ToString;

/**
 * @ProjectName: tax-sys-test
 * @Package: com.tax.file.model.fileManage
 * @ClassName: ApplyFileReqModel
 * @Author: ddx
 * @Description: ${description}
 * @Date: 2022-01-15 16:54
 * @Version: 1.0
 */
@Data
@ToString
public class QueryFileReqModel extends SafeModel {
    private String taxno;
    private String invSpec;
    private String invType;
    private String fileMonth;
    private String applyDateStart;
    private String applyDateEnd;
    //0-正常  1-参数异常
    private String errorCode = "0";
    private String errorMessage = "正常";
}
