package com.tax.file.mapper;

import com.yxcheng.token.common.service.BaseMapper;

import java.io.IOException;
import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Param;

import com.tax.file.model.FinInvoice;
import com.tax.file.model.FinInvoiceExample;
import com.tax.file.model.FinVehicle;

public interface FinInvoiceMapper extends BaseMapper<FinInvoiceExample,FinInvoice> {
	 /** 
     * 批量插入
     * @param list 
     */  
	int insertForeach(@Param("queryParams")Map map);
	
	/**
		* 批量更新
		*
		* @param tkFiles
		* @return
    */
    int updateBatch(@Param("queryParams")Map map);
	
	 /** 
     * 根据代码号码查询发票
     * @param vehicle 
     */  
    FinInvoice queryByInvkindAndInvnum(@Param("queryParams")Map map);
    
	 /** 
     * 根据表名创建表
     * @param tablename 
     */  
    void createNewTable(@Param("tableName")String tableName);
    
    
	 /** 
     * 根据表名判断表是否存在
     * @param tablename 
     */  
    int existTable(@Param("tableName")String tableName);
	
}