package com.tax.file.service.impl;


import org.springframework.context.annotation.ComponentScan;
import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.Isolation;
import org.springframework.transaction.annotation.Transactional;

import com.tax.file.mapper.FinCuspayMapper;
import com.tax.file.model.FinCuspay;
import com.tax.file.model.FinCuspayExample;
import com.tax.file.service.api.FinCuspayService;
import com.yxcheng.token.common.service.AbstractService;

import lombok.extern.slf4j.Slf4j;


@Transactional(isolation=Isolation.READ_COMMITTED)//为了解决先删除后插入的锁并发问题
@Component
@ComponentScan(basePackages = {"com.tax.file.dao", "com.tax.file.integration"})
@Slf4j
public class FinCuspayServiceImpl extends AbstractService<FinCuspayMapper,FinCuspayExample,FinCuspay> implements FinCuspayService {	

}
