package com.tax.file.service.impl;


import org.springframework.context.annotation.ComponentScan;
import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.Transactional;

import com.tax.file.mapper.TkUserUrlMapper;
import com.tax.file.model.TkUserUrl;
import com.tax.file.model.TkUserUrlExample;
import com.tax.file.service.api.TkUserUrlService;
import com.yxcheng.token.common.service.AbstractService;


@Transactional
@Component
@ComponentScan(basePackages = {"com.tax.file.dao", "com.tax.file.integration"})
public class TkUserUrlServiceImpl extends AbstractService<TkUserUrlMapper,TkUserUrlExample,TkUserUrl> implements TkUserUrlService {

}
