package com.tax.token.model;

import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.codehaus.jackson.annotate.JsonProperty;

@ToString
@Getter
@Setter
public class SmsResFulModel {

	@JsonProperty("code")
	private String code;
	
	@JsonProperty("message")
	private String message;
	
	@JsonProperty("token")
	private String token;

	@JsonProperty("taxno")
	private String taxno;

	@JsonProperty("proxyip")
	private String proxyip;

	@JsonProperty("session")
	private String session;

	@JsonProperty("requestId")
	private String requestId;

	@JsonProperty("userName")
	private String userName;

	public SmsResFulModel() {
		this.code = "0";
		this.message = "成功";
	}

    @Override
    public String toString() {
        return "SmsResFulModel{" +
                "code='" + code + '\'' +
                ", message='" + message + '\'' +
                ", token=" + token +
                ", taxno='" + taxno + '\'' +
                ", proxyip='" + proxyip + '\'' +
				", session='" + session + '\'' +
                ", requestId='" + requestId + '\'' +
                ", userName='" + userName + '\'' +
                '}';
    }
}
