package com.tax.token.model;

import com.yxcheng.token.common.model.MqMessage;
import com.yxcheng.token.common.model.SafeModel;
import com.yxcheng.token.common.model.TaxUserInfo;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class SmsSendReq extends SafeModel implements MqMessage {

    private String cellphone;
    private String sendCellphone;
    private String smsCode;
    private String zoneCode;
    private String validCode;
    private String smsDate;

    private String userInfo;
    private TaxUserInfo userInfoJson;

    @Override
    public String toString() {
        return "SmsSendReq{" +
                "cellphone='" + cellphone + '\'' +
                ", smsCode='" + smsCode + '\'' +
                ", zoneCode='" + zoneCode + '\'' +
                ", validCode='" + validCode + '\'' +
                ", smsDate='" + smsDate + '\'' +
                ", userInfo='" + userInfo + '\'' +
                ", userInfoJson=" + userInfoJson +
                '}';
    }
}
