package com.tax.token.integration.zone;

import com.tax.token.model.ZoneModel;
import com.yxcheng.token.common.model.CrRpcResult;
import com.yxcheng.token.common.model.JsonResult;
import com.yxcheng.token.common.model.SafeModel;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.stereotype.Service;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;

@FeignClient(name="taxsys-zone")
@Service
public interface ZoneClient {

    @RequestMapping(value ="/client/getZoneInfoByCode" , method = RequestMethod.POST, consumes = {"application/json;charset=UTF-8"})
    public JsonResult getZoneInfoByCode(@RequestBody ZoneModel zoneModel);


    @RequestMapping(value ="/client/findAllZoneList" , method = RequestMethod.POST, consumes = {"application/json;charset=UTF-8"})
    public JsonResult findAllZoneList(@RequestBody ZoneModel zoneModel);
}
