package com.tax.user.service.impl;

import com.tax.user.mapper.SysRuleMapper;
import com.tax.user.model.SysRule;
import com.tax.user.service.api.SysRuleService;
import com.yxcheng.token.common.model.UserReq;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

@Transactional
@Component
public class SysRuleServiceImpl implements SysRuleService {
    @Autowired
    private SysRuleMapper sysRuleMapper;


    @Override
    public List<SysRule> getUserRule(UserReq userReq) {
        return sysRuleMapper.getUserRule(userReq);
    }

    @Override
    public List<SysRule> queryRuleList(String userName) {
        return sysRuleMapper.queryRuleList(userName);
    }
}
