package com.tax.user.service.impl;

import com.tax.user.mapper.SysServerFunctionMapper;
import com.tax.user.model.SysServerFunction;
import com.tax.user.service.api.SysServerFunctionService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * @ProjectName: tax-sys
 * @Package: com.tax.user.service.impl
 * @ClassName: SysServerFunctionServiceImpl
 * @Author: ddx
 * @Description: ${description}
 * @Date: 2020-08-21 10:54
 * @Version: 1.0
 */
@Transactional
@Component
public class SysServerFunctionServiceImpl implements SysServerFunctionService {

    @Autowired
    private SysServerFunctionMapper sysServerFunctionMapper;

    @Override
    public SysServerFunction queryFunctionByUser(String userName) {
        return sysServerFunctionMapper.queryFunctionByUser(userName);
    }

    @Override
    public List<SysServerFunction> queryFunctionList(String userName) {
        return sysServerFunctionMapper.queryFunctionList(userName);
    }
}
